<?php
/**
 * @file
 * Row plugin for add questions palette view
 */

/*
 * Implementation of views_row_plugin
 */
class survey_builder_views_plugin_row_question extends entity_views_plugin_row_entity_view {

  private $url = '';

  public function init(&$view, &$display, $options = NULL) {

    parent::init($view, $display, $options);

    $item = menu_get_item();
    if (isset($item['page_arguments'][0]) && is_string($item['page_arguments'][0])) {
      $this->url = sprintf('admin/build/form-builder/add/survey/%s/question', $item['page_arguments'][0]);
    }

  }

  public function render($result) {

    $question = question_load($result->pid);
    if (!$question) {
      return '';
    }

    return l(
      $question->label,
      $this->url,
      array(
        'query' => array(
          'destination' => 'survey/new',
          'question_id' => $question->pid,
        ),
      )
    );

  }

}
